#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

SYMBOL_CRC(vchiq_get_service_userdata, 0x87eb85da, "");
SYMBOL_CRC(vchiq_msg_queue_push, 0xeb8230b7, "");
SYMBOL_CRC(vchiq_msg_hold, 0xb9437d99, "");
SYMBOL_CRC(vchiq_close_service, 0xe4c705b0, "");
SYMBOL_CRC(vchiq_queue_kernel_message, 0x802506fb, "");
SYMBOL_CRC(vchiq_release_message, 0x58dbbe25, "");
SYMBOL_CRC(vchiq_get_peer_version, 0x7c71162f, "");
SYMBOL_CRC(vchiq_initialise, 0xbee2b059, "");
SYMBOL_CRC(vchiq_shutdown, 0xacca8780, "");
SYMBOL_CRC(vchiq_connect, 0x27da82c9, "");
SYMBOL_CRC(vchiq_open_service, 0xdc544b14, "");
SYMBOL_CRC(vchiq_bulk_transmit, 0x6a4bcf7e, "");
SYMBOL_CRC(vchiq_bulk_receive, 0x3b318909, "");
SYMBOL_CRC(vchiq_use_service, 0x7b29cb40, "");
SYMBOL_CRC(vchiq_release_service, 0xe2642060, "");
SYMBOL_CRC(vchiq_add_connected_callback, 0xbca0c1c0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa5ce0890, "pin_user_pages_fast" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa943ffcf, "devm_platform_ioremap_resource" },
	{ 0x9ccd9345, "flush_dcache_page" },
	{ 0x1610d857, "misc_deregister" },
	{ 0x398bfe36, "devm_request_threaded_irq" },
	{ 0xf7d162e1, "of_node_put" },
	{ 0x9c3d3b4f, "devm_rpi_firmware_get" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf04f2952, "platform_driver_unregister" },
	{ 0x56b5db48, "vmalloc_to_page" },
	{ 0xb14ca3b6, "platform_get_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9c06fb9f, "dmam_alloc_attrs" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x96848186, "scnprintf" },
	{ 0x3df73cb0, "set_user_nice" },
	{ 0xcf2a6966, "up" },
	{ 0x16ea5f80, "unpin_user_pages" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xb654cffa, "seq_lseek" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd165ae87, "wake_up_process" },
	{ 0x53062bb1, "of_find_compatible_node" },
	{ 0x8948cdcc, "cpu_hwcaps" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x9ee1583a, "flush_signals" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x20fa37b3, "_dev_err" },
	{ 0x50c2ae54, "rpi_firmware_property" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2f298a96, "platform_device_unregister" },
	{ 0x6626afca, "down" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5fdab133, "dma_alloc_attrs" },
	{ 0xd3cd0eea, "debugfs_remove" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x758ffe43, "of_match_node" },
	{ 0x1046fa6c, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0xdcb764ad, "memset" },
	{ 0xc3c00ac0, "_dev_warn" },
	{ 0x10c0fc3f, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6d16c104, "mutex_lock_killable" },
	{ 0x62383d1c, "__platform_driver_register" },
	{ 0xd4101192, "dma_set_coherent_mask" },
	{ 0xa33dac5f, "kthread_create_on_node" },
	{ 0xb094975d, "set_page_dirty" },
	{ 0x64f3337c, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xec225ed, "debugfs_create_file" },
	{ 0xfdfc53e2, "platform_device_register_full" },
	{ 0xbaf22757, "kvfree_call_rcu" },
	{ 0xc508f211, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x87b8798d, "sg_next" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf5a816a3, "seq_printf" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x704b2e12, "single_release" },
	{ 0x8631c9ba, "alt_cb_patch_nops" },
	{ 0x267c1a1, "dma_set_mask" },
	{ 0x8d67090e, "dma_unmap_sg_attrs" },
	{ 0xc145301f, "kmalloc_trace" },
	{ 0x4d01a140, "single_open" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xbe3f014e, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf888ca21, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbd46aaf4, "kmalloc_caches" },
	{ 0x7e53ae8b, "dma_map_sg_attrs" },
	{ 0x6c8208e5, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cbrcm,bcm2835-vchiq");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2835-vchiqC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2836-vchiq");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2836-vchiqC*");

MODULE_INFO(srcversion, "270D60407765D4F41063400");
